:root {
    --layout-columns: 1fr min(45rem, 90%) 1fr;
    --header-height: 80px;
    --footer-height: 60px;
    --main-background: #E8EDF2;
    --header-background: #084887;
}

html {
    scrollbar-gutter: stable;
}
html,
body {
    margin: 0;
}

body {
    min-height: 100vh;
    display: grid;
    grid-template-columns: var(--layout-columns);
    grid-template-rows: var(--header-height) 1fr var(--footer-height);
}

header,
main,
footer {
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: var(--layout-columns);
}

header>.inner,
main>.inner,
footer>.inner {
    grid-column: 2;
}

header {
    background-color: var(--header-background);
    color: white;
    border-bottom: 2px solid orange;
    position: sticky;
    top: 0;
    z-index: 10;
}

main {
    background-color: var(--main-background);
}

footer {
    background-color: var(--main-background);
}